%define version 2.4.5
%define release %mkrel 1.bii.
%define lib_major 0

# optional compile flags
%define enable_python 1
%{?_without_python: %global enable_python 0}

%define enable_mmx 0
%{?_with_mmx: %global enable_mmx 1}

%ifarch x86_64
%define enable_sse 1
%else
%define enable_sse 0
%endif
%{?_with_sse: %global enable_sse 1}
%{?_without_sse: %global enable_sse 1}

%define enable_lzw 0
%{?_with_lzw: %global enable_lzw 1}

%if %{enable_sse}
%define enable_mmx 1
%endif

%define req_gtk_version 2.8.0

%define api_version 2.0
%define abi_version 2.4
%define libname	%mklibname gimp %{api_version} %{lib_major}
%define devlibname	%mklibname -d gimp %{api_version}

Summary:	The GNU Image Manipulation Program
Name:		gimp
Epoch:		1
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Graphics
URL:		http://www.gimp.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source0:	ftp://ftp.gimp.org/pub/gimp/v%{abi_version}/gimp-%version.tar.bz2
Source1:	ftp://ftp.gimp.org/pub/gimp/v%{abi_version}/gimp-%version.tar.bz2.md5
Source13:	gimp-scripting-sample.pl
Patch4:		gimp-2.3.10-www.patch
#gw fix name and mime types in desktop file and disable startup notification
Patch6:         gimp-2.4.0-rc2-desktopentry.patch
# (fc) 2.3.19-2mdv fix command used for .desktop (GNOME bug #467023)
Patch8:		gimp-2.3.19-fixcommand.patch
# (Abel) Make sure no gimp library is present, otherwise new package
# will link with old library. Damn libtool. Brain-damaged.
#
# (gg) don't force gtk+ 2.10.13 as required to MDV 2007.1
# (but causes bug http://bugzilla.gnome.org/show_bug.cgi?id=436242)
Patch9:		gimp-2.4.2-oldgtk.patch
Patch10:	gimp-2.4.2-oldexif.patch
Patch11:	gimp-2.4.2-oldergtk.patch
Patch12:	gimp-2.4.2-oldpygtk.patch
#
BuildConflicts:	libgimp1.3 libgimp1.3-devel
BuildRequires:	ImageMagick
BuildRequires:	aalib-devel
BuildRequires:	gtk-doc >= 1.0
BuildRequires:  libexif-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libgtk+2.0-devel >= %{req_gtk_version}
BuildRequires:	libgnomeui2-devel
BuildRequires:	libalsa-devel
%if %{mdkversion} >= 200800
BuildRequires:	libpoppler-glib-devel
%endif
BuildRequires:	libmng-devel
BuildRequires: 	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	perl
BuildRequires:	xpm-devel
BuildRequires:  librsvg-devel
BuildRequires:	libxmu-devel
BuildRequires:	intltool 
# mail plugin
BuildRequires:	sendmail-command
# help browser
BuildRequires:	gtkhtml2-devel >= 1.99.5
# print plugin
#BuildRequires:	libgimpprint-devel >= 4.2.0
# python plugin
%if %enable_python
BuildRequires:	pygtk2.0-devel >= 1.99.12
BuildRequires:	python-devel
%endif
BuildRequires:  automake
BuildRequires:  lcms-devel
BuildRequires:  libwmf-devel
BuildRequires:  libhal-devel
BuildRequires:  libxext-devel
BuildRequires:  desktop-file-utils
%if %{mdkversion} <= 200800
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%endif
Provides: gimp1_3 gimp2_0 gimp2_2
Obsoletes: gimp1_3 gimp2_0 gimp2_2
# workaround libgimp not bumping its major on API/ABI changes:
Requires:	%{libname} = %epoch:%{version}
Requires:	gutenprint-gimp2
Requires(post):  desktop-file-utils
Requires(postun):  desktop-file-utils
Conflicts:	perl-Gimp < 2.2
Suggests: gimp-help-2

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get them in ftp://ftp.gimp.org/pub/gimp/fonts/ if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

Build Options:
--without python        Disable pygimp (default enabled)
--with    mmx           Enable MMX code support (default disabled)
--with    sse           Enable SSE code support (default disabled)
--with    lzw           Enable LZW compression in GIF (default disabled)

%if %{mdkversion} <= 200710 || "%{mdvver}" == "mlcd4"
Beware at gtk+ libraries. Versions older than 2.10.13 causes bug
http://bugzilla.gnome.org/show_bug.cgi?id=436242
%endif


%package -n %{devlibname}
Summary:	GIMP plugin and extension development kit
Group:		Development/GNOME and GTK+
Requires:	libgtk+2.0-devel >= %{req_gtk_version}
Epoch:		1
License:	LGPLv2+
Requires:	%{libname} = %epoch:%{version}
Provides:	gimp-devel = %{version}-%{release}
Provides:	gimp2-devel = %{version}-%{release}
Provides:	libgimp-devel = %{version}-%{release}

%description -n %{devlibname}
Static libraries and header files for writing GIMP plugins and extensions.

%package -n %libname
Summary:	GIMP libraries
Group:		System/Libraries
Epoch:		1
License:	LGPLv2+
Provides:	libgimp%{api_version} = %{version}-%{release}

%description -n %libname
This is the library that provides core GIMP functionality.
It enable other programs to use GIMP's features but is mainly intended
to be used by the GIMP and its "external" plugins.

%package python
Summary:	GIMP python extension
Group:		Graphics
Epoch:		1
Requires:	pygtk2.0
Obsoletes: gimp1_3-python, gimp2_0-python, gimp2_2-python

%description python
This package contains the python modules for GIMP, which act as a
wrapper to libgimp allowing the writing of plug-ins for Gimp.
This is similar to script-fu, except that you can use the full set
of Python extension modules from the plug-in, and you write plug-in
in python instead of in scheme.

%prep
%setup -q -n gimp-%version
%patch4 -p1 -b .www
%patch6 -p1 -b .desktopentry
%patch8 -p1 -b .fixcommand
%if %{mdkversion} <= 200710 || "%{mdvver}" == "mlcd4"
%patch9 -p1 -b .oldgtk
%patch10 -p1 -b .oldexif
%endif
%if %{mdkversion} <= 200700
%patch11 -p1 -b .oldergtk
%patch12 -p1 -b .oldpygtk
%endif

# needed by patch 8
autoconf

%build
# (Abel) is that -ffast-math fails on other platforms?
%ifarch %ix86 ppc
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%endif

%configure2_5x \
	--enable-mp=yes		\
	--enable-gtk-doc=yes	\
	--enable-print=yes	\
%if %enable_python
	--enable-python=yes	\
%else
	--enable-python=no	\
%endif
%if %enable_mmx
	--enable-mmx=yes	\
%else
	--enable-mmx=no		\
%endif
%if %enable_sse
	--enable-sse=yes	\
%else
	--enable-sse=no		\
%endif
%if %enable_lzw
	--with-gif-compression=lzw	\
%else
	--with-gif-compression=rle	\
%endif

#gw parallel build is broken
make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

#clean unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/%{api_version}/*/*.a
find %buildroot -name \*la|xargs chmod 644

# workaround broken help system                                                                               
HELP_DIR=$RPM_BUILD_ROOT%_datadir/gimp/%api_version/help/C
[[ -d $HELP_DIR ]] || mkdir -p $HELP_DIR
HELP_IDX=$HELP_DIR/introduction.html
echo -e '<HTML><HEAD><TITLE>GIMP Base Library</HEAD>\n<BODY><UL>' > $HELP_IDX

/bin/ls $RPM_BUILD_ROOT%_datadir/gtk-doc/html/*/index.html | sed -e "s@$RPM_BUILD_ROOT@@g" >> $HELP_IDX
perl -pi -e 's!(.*/html/)([^/]*)(/index.html)!<LI><A HREF="\1\2\3">\2</A>!g' $HELP_IDX

echo '</UL></BODY></HTML>' >> $HELP_IDX

%find_lang gimp20 --all-name

%if %enable_python
chmod 755 %buildroot%_libdir/gimp/%{api_version}/plug-ins/*.py
%endif

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor
%update_menus

%postun
%clean_desktop_database
%clean_icon_cache hicolor
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f gimp20.lang
%defattr(-,root,root,0755)
%{_bindir}/gimp-%abi_version
%{_bindir}/gimp
%{_bindir}/gimp-console-%abi_version
%{_bindir}/gimp-console
%{_bindir}/gimp-remote
%{_bindir}/gimp-remote-%abi_version
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/gimp
%{_datadir}/mime-info/*
%dir %{_libdir}/gimp/%{api_version}
%dir %{_libdir}/gimp/%{api_version}/environ
%{_libdir}/gimp/%{api_version}/interpreters
%{_libdir}/gimp/%{api_version}/environ/default.env
%{_libdir}/gimp/%{api_version}/modules
%{_libdir}/gimp/%{api_version}/plug-ins
%exclude %{_libdir}/gimp/%{api_version}/plug-ins/*.py
%{_mandir}/man1/gimp*
%{_mandir}/man5/gimprc*
%_datadir/icons/hicolor/*/apps/gimp.png
%_datadir/icons/hicolor/scalable/apps/gimp.svg
%config(noreplace) %{_sysconfdir}/gimp

%doc AUTHORS NEWS README README.i18n docs/Wilber*

%files -n %{devlibname}
%defattr(-,root,root,0755)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/gimptool-*
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/gimptool-*

%files -n %libname
%defattr(-,root,root,755)
# explicitly list all libs to avoid old libtool issue
%{_libdir}/libgimpconfig-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimp-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpthumb-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpbase-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpcolor-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpmath-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpmodule-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpui-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpwidgets-%{api_version}.so.%{lib_major}*

%if %enable_python
%files python
%defattr(-,root,root,755)
%{_libdir}/gimp/%{api_version}/environ/pygimp.env
%{_libdir}/gimp/%{api_version}/python
%{_libdir}/gimp/%{api_version}/plug-ins/*.py
%endif


%changelog
* Sun Mar 02 2008 Frederic Crozat <fcrozat@mandriva.com> 1:2.4.5-1mdv2008.1
+ Revision: 177753
- Release 2.4.5

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 1:2.4.4-1mdv2008.1
+ Revision: 160504
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Add conditional BuildRoot for backports.

* Mon Dec 17 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:2.4.3-1mdv2008.1
+ Revision: 131016
- drop COPYING and useless docs like INSTALL etc.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - enable printing beside external gutenprint plugin.
    - Added Patch9, 10, 11, 12 for backporting gimp 2.4.2 under 2007.0 and 2007.1.

* Wed Nov 21 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.2-1mdv2008.1
+ Revision: 111024
- new version

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 1:2.4.1-2mdv2008.1
+ Revision: 109268
- rebuild for new lzma

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.1-1mdv2008.1
+ Revision: 104352
- new version

* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-1mdv2008.1
+ Revision: 101760
- new version

* Thu Oct 11 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc3.1mdv2008.1
+ Revision: 97149
- new version

* Tue Sep 11 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc2.3mdv2008.0
+ Revision: 84560
- update patch 6 to disable startup notification (bug #33458)
- merge patch 7 with patch 6

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc2.2mdv2008.0
+ Revision: 84098
- fix buildrequires
- fix license
- remove old obsoletes from libgimp
- add crossdesktop category (bug #33385)

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc2.1mdv2008.0
+ Revision: 79129
- new version
- move gtk-doc files to devel package
- suggest gimp-help-2 to work around bug #9370

* Fri Aug 17 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc1.1mdv2008.0
+ Revision: 65296
- new version
- fix installation

* Wed Aug 15 2007 Frederic Crozat <fcrozat@mandriva.com> 1:2.3.19-2mdv2008.0
+ Revision: 63747
- Patch8: fix command used for .desktop (GNOME bug #467023)

* Thu Jul 26 2007 Funda Wang <fundawang@mandriva.org> 1:2.3.19-1mdv2008.0
+ Revision: 55806
- BR poppler-glib
- autotools is not needed here
- do not use versioned autotools
- New version 2.3.19

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [BUGFIX] Add mimetype image/x-xcf-gimp to fix launch under KDE (bug #23486)

* Tue Jun 12 2007 Götz Waschk <waschk@mandriva.org> 1:2.3.18-1mdv2008.0
+ Revision: 38365
- disable parallel build
- new version
- drop patch 0

* Mon Jun 11 2007 Olivier Blin <oblin@mandriva.com> 1:2.3.17-4mdv2008.0
+ Revision: 37968
- chestnut-pick g_slice fixes from Gimp SVN (2.3.17 was buggy and crashed on basic copy operations, upstream #441878)
- note: libx11-1.1.2-2mdv fixes additional crashes (in paintbrush usage)

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Rebuild with libslang2.

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 1:2.3.17-2mdv2008.0
+ Revision: 31936
- new version
- drop patch

* Wed May 23 2007 Götz Waschk <waschk@mandriva.org> 1:2.3.16-2mdv2008.0
+ Revision: 29998
- P7: security fix for CVE-2007-2356
- readd menu macros
- remove extra icons
- new version
- fix buildrequires
- readd changelog


* Mon Mar 19 2007 Götz Waschk <waschk@mandriva.org> 2.3.14-3mdv2007.1
+ Revision: 146545
- don't depend on perl-PDL

* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:2.3.14-2mdv2007.1
+ Revision: 130728
- move huge (1Mb!) ChangeLog in devel package

  + Götz Waschk <waschk@mandriva.org>
    - fix file list
    - new version
    - update buildrequires

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 1:2.3.12-1mdv2007.1
+ Revision: 64461
- new version
- unpack patches
- Import gimp

* Mon Oct 09 2006 Gtz Waschk <waschk@mandriva.org> 2.3.11-1mdv2007.1
- drop patch 5
- New version 2.3.11

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.10-6mdv2007.0
- Add conflicts to ease upgrade
- Patch6: fix name in desktop file

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.10-5mdv2007.0
- Rebuild with latest dbus

* Fri Jul 28 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.3.10-4mdv2007.0
- patch 5: security fix for CVE-2006-3404

* Fri Jul 28 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.3.10-3
- add BuildRequires: libxmu-devel

* Mon Jul 10 2006 Gtz Waschk <waschk@mandriva.org> 2.3.10-2mdv2007.0
- fix disabling of the print plugin

* Fri Jul 07 2006 Gtz Waschk <waschk@mandriva.org> 2.3.10-1mdv2007.0
- xdg menu
- fix icons
- rediff patch 4
- drop patch 3,5
- New release 2.3.10

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 1:2.3.9-1mdv2007.0
- New release 2.3.9

* Fri Apr 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.3.8-1mdk
- new release
- rediff patch 4
- fix missing requires for some plugins

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 2.3.7-2mdk
- rebuild for new poppler

* Thu Feb 09 2006 Götz Waschk <waschk@mandriva.org> 2.3.7-1mdk
- New release 2.3.7

* Wed Jan 11 2006 Eskild Hustvedt <eskild@mandriva.org> 2.3.6-4mdk
- Added a few manpage symlinks so that "man gimp" works

* Sat Jan 07 2006 Eskild Hustvedt <eskild@mandriva.org> 2.3.6-3mdk
- *cough* Really added the symlinks this time

* Sat Jan 07 2006 Eskild Hustvedt <eskild@mandriva.org> 2.3.6-2mdk
- Added back the symlink from gimp-2.3 to gimp

* Fri Dec 30 2005 Götz Waschk <waschk@mandriva.org> 2.3.6-1mdk
- New release 2.3.6

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3.5-2mdk
- rebuilt against openssl-0.9.8a

* Sat Nov 05 2005 Gtz Waschk <waschk@mandriva.org> 1:2.3.5-1mdk
- update file list
- new version

* Fri Oct 07 2005 Gtz Waschk <waschk@mandriva.org> 1:2.3.4-1mdk
- reenable libtoolize
- update icon cache
- add new files
- drop patch 2
- fix installation
- rediff path 4
- new version

* Thu Sep 08 2005 Till Kamppeter <till@mandriva.com> 2.2.8-6mdk
- Added "Requires: gutenprint-gimp2".

* Fri Sep 02 2005 Michael Scherer <misc@mandriva.org> 2.2.8-5mdk
- rebuild without glitz deps

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.2.8-4mdk
- rebuild with new gtk+/pango/cairo

* Mon Aug 22 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2.8-3mdk
- fix build on x86_64, aka libtool fixes

* Sat Aug 20 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.2.8-2mdk
- rebuild without gimpprint
- fix SMTP buildrequires

* Tue Jun 28 2005 Gtz Waschk <waschk@mandriva.org> 2.2.8-1mdk
- new version
- fix source URL

* Sun Jun 12 2005 Eskild Hustvedt <eskild@mandriva.org> 2.2.7-5mdk
- Rebuild
- %%mkrel

* Fri May 20 2005 <tv@n4.mandrakesoft.com> 2.2.7-4mdk
- obsolete old gimp2_2-python

* Fri May 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.7-3mdk
- workaround libgimp not bumping its major on API/ABI changes (#15863)

* Fri May 13 2005 Till Kamppeter <till@mandriva.com> 2.2.7-2mdk
- Disabled compiling of print plug-in. Printing is done by the newer
  Gutenprint plug-in (package "gutenprint-gimp2").

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 2.2.7-1mdk
- make it rpmbuildupdatable
- New release 2.2.7

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.6-5mdk
- new release

* Sat Apr 02 2005 Till Kamppeter <till@mandrakesoft.com> 2.2.4-5mdk
- Fixed printing dialog initialization, the page margins were not
  initialized when the dialog was created (Patch 5, bug 14969).

* Mon Mar 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-4mdk
- patch 3: fix default web browser (#14841)

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-3mdk
- provides gimp2_2 for plugins

* Thu Feb 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-2mdk
- rename main package as gimp, thus fixing update (#13811)

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.2.4-1mdk
- new version

* Mon Jan 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.3-2mdk
- let be the default gimp

* Sun Jan 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.2.3-1mdk
- new version

* Tue Jan 11 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.2.2-1mdk
- new version

* Wed Dec 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.1-1mdk
- drop source 1
- new version

* Sun Dec 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-1mdk
- add missing file
- new version

* Sun Dec 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2-0.pre2.3mdk
- fix menu entry (#12582)

* Thu Dec 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2-0.pre2.2mdk
- kill wrong provides
- obsolete old python plugins

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2-0.pre2.1mdk
- new release
- redo patch 3

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.6-1mdk
- new release

* Sat Aug 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.4-1mdk
- new release

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.3-2mdk
- patch 3: fix printing configuration (till)

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.3-1mdk
- new release

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- new version

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-1mdk
- drop merged patch 3
- provide gimp2-devel in the devel package
- new version

* Thu Apr 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.0-3mdk
- relink with new libcroco2

* Fri Mar 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.0-2mdk
- fix menu entry's title

* Thu Mar 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.0-1mdk
- new release
- patch 3: fix typo in french translation

